﻿@model Inchirieri.Models.Car

@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Edit Car: @Model.Id  </h2>

<form method="post">
    <table class="table" style="border: none;">
        <tr>
            <td>Car Model: </td>
            <td><input name="carModel" value="@Model.Model" type="text" /></td>
        </tr>
        <tr>
            <td>Registration Date: </td>
            <td><input name="regDate" value="@Model.RegDate" type="number" min="1980" max="2100" /></td>
        </tr>
        <tr>
            <td>Fuel type:</td>
            <td>
                <select name="fuelType">
                    @foreach(var fuel in ViewBag.FuelTypes)
                    {
                        <option value="@fuel.Key" @(Model.Fuel == fuel.Value ? "selected" : string.Empty)> @fuel.Value</option>
                    }
                </select>
            </td>
        </tr>
        <tr>
            <td>Number of seats:</td>
            <td><input name="numSeats" value="@Model.Seats" type="number" min="1" max="20" /></td>
        </tr>
        <tr>
            <td>Color: </td>
            <td>
                <select name="carColor">
                    @foreach (var color in ViewBag.Colors)
                    {
                        <option value="@color.Key" @(Model.Color == color.Value ? "selected" : string.Empty)> @color.Value</option>
                    }
                </select>
            </td>
        </tr>
        <tr>
            <td>Gear box:</td>
            <td>

                <select name="gearbox">
                    @foreach (var trs in ViewBag.Transmissions)
                    {
                        <option value="@trs.Key" @(Model.Gearbox == trs.Value ? "selected" : string.Empty)> @trs.Value</option>
                    }
                </select>
            </td>
        </tr>
        <tr>
            <td>Rent price</td>
            <td><input name="rentPrice" value="@Model.Price" type="number" min="1" /></td>
        </tr>
    </table>
    <br />
    <input type="submit" class="btn btn-primary" />
</form>

